> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card information

> Retrieve card information based on the initial 9 digits (card BIN) of the card number.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-pos.json get /pos/payments/card-info
openapi: 3.1.0
info:
  title: CE POS APIs
  description: >-
    The consolidated Point of Sale surface. Every operation is served under the
    storefront base URL; operations tagged POSAdmin are proxied to the admin
    service by the POS backend.
  version: '1.0'
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security:
  - Authorization: []
tags:
  - name: POS
    description: Operations backed by the storefront service
  - name: POSAdmin
    description: Operations proxied to the admin service
paths:
  /pos/payments/card-info:
    get:
      tags:
        - POS
      summary: Get card information
      description: >-
        Retrieve card information based on the initial 9 digits (card BIN) of
        the card number.
      operationId: pos-get-card-info
      parameters:
        - name: cardbin
          in: query
          description: Initial 9 digits of card number (card BIN)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      card_info:
                        $ref: '#/components/schemas/CardbinInfo'
                    required:
                      - card_info
                    type: object
          links:
            CreateOrderWithCard:
              operationId: create-order
              description: >-
                Create an order using card payment. Use `card_info.brand` to
                select the `payment_method` and match a `gateway_reference_id`
                from `list-payment-methods`.
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
components:
  schemas:
    CardbinInfo:
      title: CardbinInfo
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/CardbinInfo
        description: API reference for the CardbinInfo schema
      required:
        - card_sub_type
        - extended_card_type
        - country
        - cvv_less_support
        - bank
        - id
        - mandate_support
        - brand
        - card_sub_type_category
        - juspay_bank_code
        - type
        - country_code
        - object
        - direct_otp_support
      properties:
        card_sub_type:
          type: string
        extended_card_type:
          type: string
        country:
          type: string
        cvv_less_support:
          type: boolean
        bank:
          type: string
        id:
          type: string
        mandate_support:
          type: boolean
        brand:
          type: string
        card_sub_type_category:
          type: string
        juspay_bank_code:
          type: string
        type:
          type: string
        country_code:
          type: string
        object:
          type: string
        direct_otp_support:
          type: boolean
      examples: []
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
              errors:
                type: object
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````